-- 社团答题入口
Lua_FactionBonfireWindow = class("Lua_FactionBonfireWindow", Lua_SecondSizeWindow);
function Lua_FactionBonfireWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_FactionBonfireWindow";
	self.titleText = LanUtil.getValue(121084);
end

function Lua_FactionBonfireWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.infoBg:setLocation(0, -4);
	self.infoBg:SetDimensions(912, 656);
	self.winTitleBg:setLocation(0, 306);
	self.winTitleBg:SetDimensions(912, 78);
	self.titleNameTxt:setLocation(0, 306);
	self.btnClose:setLocation(418, 306);

	self.bonfirePanel = Lua_FactionBonfirePanel.new(self.content);
end





--------------------------------------------------





Lua_FactionBonfirePanel = class("Lua_FactionBonfirePanel", Lua_DisplayObject);
function Lua_FactionBonfirePanel:ctor(p)
   	self:superCall("ctor", p, "FactionBonfirePanel_skin");
end

function Lua_FactionBonfirePanel:buildShowItem()
	self:superCall("buildShowItem");

	local activityId = DataCenter.factionBonfireData.activityId;
	local info = DataCenter.xianshiData:getDataById(activityId);
	self.timeTxt.text = LanUtil.formateStr(LanUtil.getValue(121041), info.timeStr);
	self.desTxt.text = LanUtil.getValue(121040);	

	local rewardId = info.display_reward
    self.rItem = Lua_RewardItem.new(self.content);
    self.rItem:setLayout(92, 92, 9);
	self.rItem:setMaxShow(9);
	self.rItem:setDepth(10);
	self.rItem:setClickWin(true);
	self.rItem:setMouseEnble(true);
	self.rItem:setItemScale(1, 1);
    self.rItem:setLocation(197.5, -157.5, 0);
    self.rItem:setRewardByRewardList(Array(rewardId));

	self.funBtn:addClickFuntion(self, self.onFunBtn);
	self.info:addClickFuntion(self, self.onInfoBtn);

	-- self:addLuaEvent("BONFIRE_PANEL_UPDATE", self, self.updatePanel);
	-- DataCenter.factionBonfireData:sFactionBonfireInfo();
end

function Lua_FactionBonfirePanel:onInfoBtn()
	Lua_WindowUtil.openWin("Lua_RuleTipWindow", nil, LanUtil.getValue(121064));
end

function Lua_FactionBonfirePanel:updatePanel()
end

function Lua_FactionBonfirePanel:onFunBtn()
	DataCenter.factionBonfireData:sEnterBonfire();
	Lua_WindowUtil.openWin("Lua_FactionBonfireWindow", WinParam.ACTION_CLOSE);
end

function Lua_FactionBonfirePanel:dispose()
	if self.rItem ~= nil then
		self.rItem:dispose();
		self.rItem = nil;
	end

	self:superCall("dispose");
end